dpkg-scansources(1)

NAAM
dpkg-scansources - Sources-indexbestanden maken

OVERZICHT
dpkg-scansources [optie...] map-binair-pakket [override-bestand [padprefix]] > Sources

BESCHRIJVING
dpkg-scansources zoekt in de opgegeven map-binair-pakket naar .dsc-bestanden. Die worden gebruikt om een Debian broncode-index te maken, die naar de standaarduitvoer gestuurd wordt.

The override-file, if given, is used to set priorities in the resulting index stanzas and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file.

Opmerking: vermits het bestand override volgens binaire pakketten geïndexeerd wordt en niet volgens broncodepakketten, stelt zich hier een zeker probleem. De huidige implementatie gebruikt de hoogste prioriteit van alle binaire pakketten die door een .dsc-bestand geproduceerd worden, voor de prioriteit van het broncodepakket en het override-item voor het binaire pakket dat het eerst vermeld wordt in het .dsc-bestand om de informatie over de pakketonderhouder aan te passen. Dit kan veranderen.

Indien het padprefix opgegeven werd, wordt het voorgevoegd bij het veld directory in het gegenereerde broncode-indexbestand. In het algemeen wordt dit gebruikt om er voor te zorgen dat het veld directory het pad bevat vanaf de basis van de hiërarchische structuur van het Debian pakketarchief.

Opmerking: indien u het gegenereerde Sources-bestand wilt gebruiken met apt(8), zult u het wellicht moeten comprimeren met gzip(1) (wat een bestand Sources.gz genereert). apt(8) negeert niet-gecomprimeerde Sources-bestanden tenzij in geval van lokale toegang (d.w.z. pakketbronnen in de vorm van file://).

OPTIES

-n, --no-sort
    Do not sort the index stanzas. Normally they are sorted by source package name.

-e, --extra-override bestand
    In bestand zoeken naar bijkomende vervangingen (sinds dpkg 1.15.4; het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Zie deb-extra-override(5) voor meer informatie over de indeling ervan.

-s, --source-override bestand
    bestand gebruiken als het override-bestand van de broncode (het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Als standaard geldt de naam van het override-bestand dat u opgaf, met daaraan .src toegevoegd.

    Het override-bestand voor de broncode heeft een andere indeling dan het override-bestand voor het binaire pakket. Het bevat slechts twee velden die onderling door witruimte gescheiden worden. Het eerste veld bevat de naam van het broncodepakket en het tweede de sectie waartoe het behoort. Lege regels en commentaarregels worden op de normale manier genegeerd. Indien een pakket in beide bestanden voorkomt, heeft het override-bestand van de broncode voorrang bij het instellen van de sectie.

--debug
    Debuggen aanzetten.

--help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

ZIE OOK
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).